=== debian/changelog ===
python-weblogo (3.7.12-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 17:31:36 +0000

python-weblogo (3.7.12-4) unstable; urgency=medium

  * Add debian/watch.

 -- Andrius Merkys <merkys@debian.org>  Fri, 28 Oct 2022 03:07:25 -0400

python-weblogo (3.7.12-3) unstable; urgency=medium

  * No-changes source-only upload.

 -- Andrius Merkys <merkys@debian.org>  Wed, 19 Oct 2022 08:39:36 -0400

python-weblogo (3.7.12-2) unstable; urgency=medium

  * Resolve FIXMEs in debian/copyright.
  * Add reference to debian/upstream/metadata.

 -- Andrius Merkys <merkys@debian.org>  Mon, 17 Oct 2022 03:38:12 -0400

python-weblogo (3.7.12-1) unstable; urgency=medium

  * Initial release. (Closes: #1016906)

 -- Andrius Merkys <merkys@debian.org>  Thu, 22 Sep 2022 02:49:19 -0000
