=== debian/control ===
Source: python-weblogo
Section: science
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 ghostscript <!nocheck>,
 help2man,
 python3-all-dev,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.6.1
Homepage: https://github.com/WebLogo/weblogo
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-weblogo
Vcs-Git: https://salsa.debian.org/python-team/packages/python-weblogo.git
Testsuite: autopkgtest-pkg-python

Package: python3-weblogo
Architecture: all
Depends:
 libjs-bootstrap,
 ${misc:Depends},
 ${python3:Depends},
X-Python3-Version: ${python3:Versions}
Description: sequence logo generator
 WebLogo is a web based application designed to make the generation of sequence
 logos.
 .
 WebLogo can create output in several common graphics formats, including the
 bitmap formats GIF and PNG, suitable for on-screen display, and the vector
 formats EPS and PDF, more suitable for printing, publication, and further
 editing. Additional graphics options include bitmap resolution, titles,
 optional axis, and axis labels, antialiasing, error bars, and alternative
 symbol formats.
 .
 A sequence logo is a graphical representation of an amino acid or nucleic acid
 multiple sequence alignment. Each logo consists of stacks of symbols, one
 stack for each position in the sequence. The overall height of the stack
 indicates the sequence conservation at that position, while the height of
 symbols within the stack indicates the relative frequency of each amino or
 nucleic acid at that position. The width of the stack is proportional to the
 fraction of valid symbols in that position.
