=== debian/tests/control ===
Test-Command: pytest-3 -k 'not test_formats'
Depends:
 ghostscript,
 python3-pytest,
 @,
