=== debian/changelog ===
python-weblogo (3.8.0-3) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-scipy. Closes: #1116886.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Oct 2025 23:40:00 +0200

python-weblogo (3.8.0-2) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Add dependency on python3-legacy-cgi (Closes: #1084536)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Nov 2024 01:43:14 +0100

python-weblogo (3.8.0-1) unstable; urgency=medium

  * New upstream version 3.8.0
  * Simplify debian/rules.
  * Switch testsuite to autopkgtest-pkg-pybuild.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 07 Oct 2024 02:32:14 -0400
