=== debian/control ===
--- 
+++ 
@@ -4,28 +4,29 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  ghostscript <!nocheck>,
  help2man,
  python3-all-dev,
+ python3-legacy-cgi,
  python3-numpy,
  python3-pytest <!nocheck>,
- python3-scipy <!nocheck>,
+ python3-scipy,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/WebLogo/weblogo
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-weblogo
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-weblogo.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-weblogo
 Architecture: all
 Depends:
  libjs-bootstrap,
+ python3-legacy-cgi,
  ${misc:Depends},
  ${python3:Depends},
 X-Python3-Version: ${python3:Versions}
