=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = weblogo
export PYBUILD_TEST_ARGS = -k 'not test_transformseq and not test_cli and not test_resources'

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_install:
	find debian/python3-$(PYBUILD_NAME)/usr/lib -name '*.mat' | xargs chmod -x
	rm -rf debian/python3-$(PYBUILD_NAME)/usr/lib/python*/dist-packages/weblogo/htdocs

execute_before_dh_installman:
	PYTHONPATH=. help2man debian/python3-$(PYBUILD_NAME)/usr/bin/weblogo --no-info --name 'create sequence logos from biological sequence alignments' > weblogo.1
	PYTHONPATH=. help2man debian/python3-$(PYBUILD_NAME)/usr/bin/transformseq --no-info --name 'convert multiple sequence alignments from one format to another' > transformseq.1

execute_after_dh_auto_clean:
	rm -rf weblogo.egg-info
