=== debian/changelog ===
python-weblogo (3.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Replace pkg_resources dependency with importlib_resources (closes:
      #1083722).
  * Use importlib.{resources,metadata} from the standard library.
  * Install subpackages of weblogo.
  * Update upstream git repository URL.

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Jan 2026 11:42:59 +0000
