=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-weblogo
 Section: science
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
@@ -9,15 +8,15 @@
  dh-sequence-python3,
  ghostscript <!nocheck>,
  help2man,
+ pybuild-plugin-pyproject,
  python3-all-dev,
- python3-legacy-cgi,
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-scipy,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.7.2
-Homepage: https://github.com/WebLogo/weblogo
+Standards-Version: 4.7.3
+Homepage: https://github.com/gecrooks/weblogo
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-weblogo
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-weblogo.git
 Testsuite: autopkgtest-pkg-pybuild
