=== debian/watch ===
Version: 5

Template: GitHub
Owner: gecrooks
Project: weblogo
